services:
  content_moderation.state_transition_validation:
    class: Drupal\content_moderation\StateTransitionValidation
    arguments: ['@content_moderation.moderation_information']
  Drupal\content_moderation\StateTransitionValidationInterface: '@content_moderation.state_transition_validation'
  content_moderation.moderation_information:
    class: Drupal\content_moderation\ModerationInformation
    arguments: ['@entity_type.manager', '@entity_type.bundle.info']
  Drupal\content_moderation\ModerationInformationInterface: '@content_moderation.moderation_information'
  access_check.latest_revision:
    class: Drupal\content_moderation\Access\LatestRevisionCheck
    arguments: ['@content_moderation.moderation_information']
    tags:
      - { name: access_check, applies_to: _content_moderation_latest_version }
  content_moderation.config_import_subscriber:
    class: Drupal\content_moderation\EventSubscriber\ConfigImportSubscriber
    arguments: ['@config.manager', '@entity_type.manager']
    tags:
      - { name: event_subscriber }
  content_moderation.route_subscriber:
    class: Drupal\content_moderation\Routing\ContentModerationRouteSubscriber
    arguments: ['@entity_type.manager']
    tags:
      - { name: event_subscriber }
  content_moderation.workspace_subscriber:
    class: Drupal\content_moderation\EventSubscriber\WorkspaceSubscriber
    arguments: ['@entity_type.manager', '@?workspaces.association']
    tags:
      - { name: event_subscriber }
